## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

---

### Validate Saved Filter

#### cURL

```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/saved-filters/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "filterId": "<string>",\n  "dataTableId": "<string>"\n}\n'
```

#### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/saved-filters/validate"

payload = {
    "filterId": "<string>",
    "dataTableId": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({filterId: '<string>', dataTableId: '<string>'})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/saved-filters/validate', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/saved-filters/validate",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'filterId' => '<string>',\
    'dataTableId' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/saved-filters/validate"

payload := strings.NewReader("{\n  \"filterId\": \"<string>\",\n  \"dataTableId\": \"<string>\"}\n")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Java (Unirest)

```java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/saved-filters/validate")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"filterId\": \"<string>\",\n  \"dataTableId\": \"<string>\"}\n")
  .asString();
```

#### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/saved-filters/validate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"filterId\": \"<string>\",\n  \"dataTableId\": \"<string>\"}\n"

response = http.request(request)
puts response.read_body
```

---

### Response

200 - application/json

```json
[
  {
    "entityType": "<string>",
    "entityId": "<string>",
    "identifier": "<string>",
    "values": [
      "<string>"
    ],
    "reason": "<string>",
    "suggestedValues": [
      "<string>"
    ],
    "problemCount": 123
  }
]
```

### Authorizations

**Authorization**  
string  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Body

**application/json**  
- **filterId**: string (required)  
- **dataTableId**: string (required)

### Problem Type

enum<string>
The type of problem.

Available options:
- `UNKNOWN`
- `ILLEGAL_ARGUMENT`
- `CANNOT_DELETE`
- `GREATER_VALUE_REQUIRED`
- `LESS_VALUE_REQUIRED`
- `NON_UNIQUE_VALUE`
- `USER_EMAIL_ALREADY_EXISTS`
- `INCORRECT_DATA_TYPE`
- `RATIO_CONVERSION_FAILED`
- `RISK_SCORE_FILTER_CONVERSION_FAILED`
- `FILTER_CONVERSION_FAILED`
- `POPULATION_CONVERSION_FAILED`
- `INSUFFICIENT_PERMISSION`
- `ACCOUNT_GROUPING_NODES_CONTAIN_ERRORS`
- `ACCOUNT_GROUPING_IN_USE_BY_LIBRARY`
- `INVALID_ACCOUNT_GROUPING_FILE`
- `DELIVERY_FAILURE`
- `INVALID_STATE`

### Severity

enum<string>
Indicates how severe the problem is.

Available options:
- `WARNING`
- `ERROR`
